GET /device/recall.json
Summary: Search device recalls
Operation ID: getDeviceRecalls
Auth: api_key
Operation ID: getDeviceRecalls
Auth: api_key
Description
Retrieve medical device recall data. Includes information about device recalls, including the reason and status.
Parameters (3)
limit
(integer, query, optional, default: 1)
Number of results to return (max 100)
Constraints: {'minimum': 1, 'maximum': 100}
search
(string, query, optional)
Search query string for device recalls (e.g., 'product_description:catheter' or 'recall_status:Ongoing')
skip
(integer, query, optional, default: 0)
Number of results to skip for pagination
Constraints: {'minimum': 0}
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Basic device recalls with limit | curl |
https://api.fda.gov/device/recall.json?limit=5 |
|
| Search recalls by product description | curl |
https://api.fda.gov/device/recall.json?search=product_description:catheter&limit=10 |
|
| Search ongoing recalls with pagination | curl |
https://api.fda.gov/device/recall.json?search=recall_status:Ongoing&limit=5&skip=10 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:42:03.718840 | 404 | 898ms | |
| 2026-03-23 09:44:39.688987 | 200 | 1066ms | |
| 2026-03-23 09:06:09.512288 | 200 | 850ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:44:39.688987 | ae048bec7b53 |
aaced01feb48 |
| 2026-03-23 10:42:03.718840 | aaced01feb48 |
57b1e7534d00 |